﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ornek1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void bekle_Click(object sender, EventArgs e)
        {
           // int vize = Convert.ToInt32(tvize.Text);

            int vize, final;

            bool k_vize = Int32.TryParse(tvize.Text, out vize); // k_vize: donusum yapilabildi mi? (true/false), tvize.Text: Sayiya donusturulecek bilgi, out vize: donusturulen sayi bilgisi
            bool k_final = Int32.TryParse(tfinal.Text, out final);

            if (k_vize && k_final && 
                togrno.Text.Length > 0 && tadsoyad.Text.Length > 0)
            {

                if (vize >= 0 && vize <= 100 && final >= 0 && final <= 100)
                {
                    logrno.Items.Add(togrno.Text);
                    ladsoyad.Items.Add(tadsoyad.Text);
                    lvize.Items.Add(tvize.Text);
                    lfinal.Items.Add(tfinal.Text);

                    int ortalama = (int)Math.Round(vize * 0.4 + final * 0.6);
                    // int ortalama = (int)(vize * 0.4 + final * 0.6 + 0.5); // 0.5 yuvarlama


                    string harf = harfhesap(ortalama);

                    lortalama.Items.Add(ortalama);
                    lharf.Items.Add(harf);

                    //lharf.Items.Add(harfhesap(ortalama));
                    gecenkalan();
                    togrno.Clear();
                    tadsoyad.Clear();
                    tvize.Clear();
                    tfinal.Clear();

                    togrno.Focus(); // togrno textbox ini secili hale getir 
                }
                else
                    MessageBox.Show("Vize ve Final notu 0-100 aralığında olmalıdır!");
            }
            else
                MessageBox.Show("Hatalı bilgi girişi!");
        }


        private string harfhesap(int ort)
        {
            string[] harfler = {"AA","BA","BB","CB","CC","DC","DD","FD"};
            int[] sinirlar = { 90, 80, 70, 65, 60, 55, 50, 40 };

            for (int i = 0; i < sinirlar.Length; i++)
            {
                if (ort >= sinirlar[i])
                    return harfler[i];
            }
            return "FF";
        }

        private void gecenkalan()
        {
            int gecen = 0, kalan = 0;

            for (int i = 0; i < lortalama.Items.Count; i++)
            {
                if ((int)lortalama.Items[i] >= 60) // if (Convert.ToInt32(lortalama.Items[i].ToString()) >= 60)
                    gecen++;
                else
                    kalan++;
            }

            lagecen.Text = "Geçen: " + gecen;
            lakalan.Text = "Kalan: " + kalan;


        
        }

        private void bsil_Click(object sender, EventArgs e)
        {
            int secilen = logrno.SelectedIndex;

            if (secilen > -1)
            {
                logrno.Items.RemoveAt(secilen);
                ladsoyad.Items.RemoveAt(secilen);
                lvize.Items.RemoveAt(secilen);
                lfinal.Items.RemoveAt(secilen);
                lortalama.Items.RemoveAt(secilen);
                lharf.Items.RemoveAt(secilen);
                gecenkalan();
            }

        }

        private void bkapat_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void logrno_SelectedIndexChanged(object sender, EventArgs e)
        {
            ListBox lb = (ListBox)sender;

            logrno.SelectedIndex = lb.SelectedIndex;
            ladsoyad.SelectedIndex = lb.SelectedIndex; 
            lvize.SelectedIndex = lb.SelectedIndex;
            lfinal.SelectedIndex = lb.SelectedIndex;
            lortalama.SelectedIndex = lb.SelectedIndex;
            lharf.SelectedIndex = lb.SelectedIndex;
        }


    }
}
